yaml2ck(1)

NAME
yaml2ck - convert Cantera YAML input files to Chemkin-format mechanisms

SYNOPSIS
yaml2ck [OPTIONS] INPUT

DESCRIPTION
yaml2ck converts a Cantera YAML input file to Chemkin-format reaction mechanism. The parameters are as follows:

INPUT
    Cantera YAML input file to be converted. This file contains the declarations of the elements and species, thermodynamic data, as well as the reactions and transport data (if any).

--phase-name=PHASE
    Name of the phase to load from the input. If unspecified, the first phase listed in the input file will be loaded.

--mechanism=MECH
    The path to the output mechanism file. Optional. If not provided, the name of the input file will be used, with the extension replaced by '.ck'. If the path specified here is an existing directory, the output file(s) will be placed in that directory.

--thermo=THERM
    The path to the output thermodynamics database file. Optional. If not provided, the thermodynamic data will be included in the mechanism file.

--transport=TRAN
    The path to the output transport database file. Optional. If not provided, transport data will be included in the mechanism file.

--sort-elements=OPTION
    Sort elements in source order (None, default), alphabetically (alphabetical), or from lowest to highest atomic mass (molar-mass).

--sort-species=OPTION
    Sort species in source order (None, default), alphabetically (alphabetical), or from lowest to highest atomic mass (molar-mass).

--overwrite, --no-overwrite
    If set, overwrite existing output files. (default: False)

--validate, --no-validate
    Check that the mechanism can be loaded back into Cantera. (default: True)

-h | --help
    Show the help message and exit.

EXAMPLE
yaml2ck --mechanism=chem.inp --thermo=therm.dat chem.yaml